GNU bug report logs - #5974
23.1.95; enabling disabled cmd & saving doesn't respect `custom-file'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Drew Adams" <drew.adams@HIDDEN>; merged with #24023; dated Mon, 19 Apr 2010 16:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 5974 24023. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 23:12:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 19:12:02 2016
Received: from localhost ([127.0.0.1]:56176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awHZq-0004Da-IP
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 19:12:02 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:26333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awHZn-0004D6-9A
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 19:12:00 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3TNBqI8021357
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 29 Apr 2016 23:11:52 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u3TNBpjI031867
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 29 Apr 2016 23:11:51 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u3TNBkWX009886;
 Fri, 29 Apr 2016 23:11:49 GMT
MIME-Version: 1.0
Message-ID: <c854f27d-5f53-4fc8-a761-7ecfd7c37d32@default>
Date: Fri, 29 Apr 2016 16:11:43 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: bug#5974: 23.1.95; enabling disabled cmd & saving doesn't respect
 `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN> <87twik5vyq.fsf@HIDDEN>
 <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default> <867ffgmajz.fsf@HIDDEN>
 <40e52ff4-f5b5-4450-ab8b-f8c07b490ecf@default> <87wpngkpkg.fsf@HIDDEN>
In-Reply-To: <87wpngkpkg.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 5974
Cc: 5974 <at> debbugs.gnu.org, Nicolas Richard <youngfrog@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


> It's not a side discussion.  The `put' things are not going to move to
> `custom-file', because they have nothing to do with Custom.

Good point.  I retract my objection.

> But they might "in effect" move to `custom-file' if we change how they
> are implemented.

Actually, now that you've pointed out that they have nothing to
do with Customize (options, faces), I wonder whether where they
should go.

The point of `custom-file' is, on the one hand, to keep automatically
written Lisp code from mixing with hand-coded stuff, in ~/.emacs.

On the other hand, its point is to gather in one place only stuff
that is managed by Customize.

Typically (so far), we use other files for other automatically
written Lisp code: bookmarks, desktops, package stuff, savehist,
saveplace,...

Especially since we now have an Emacs-specific default directory
for such things, a separate file seems to make sense - not
`custom-file' (since this is not managed by Customize) but something
else.

As for the suggestion that this be handled by Customize: A priori,
I'm not too hot for that idea.  I think it has enough trouble with
options and faces. ;-)  But maybe someone has a good reason why it
should be Customize that manages these things.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 22:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 18:39:17 2016
Received: from localhost ([127.0.0.1]:56128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awH49-00008W-LL
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 18:39:17 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:51638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awH48-00008O-L8
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 18:39:16 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awH43-0003rO-Hd; Sat, 30 Apr 2016 00:39:13 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN> <87twik5vyq.fsf@HIDDEN>
 <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default>
 <867ffgmajz.fsf@HIDDEN>
 <40e52ff4-f5b5-4450-ab8b-f8c07b490ecf@default>
Date: Sat, 30 Apr 2016 00:39:11 +0200
In-Reply-To: <40e52ff4-f5b5-4450-ab8b-f8c07b490ecf@default> (Drew Adams's
 message of "Fri, 29 Apr 2016 15:32:14 -0700 (PDT)")
Message-ID: <87wpngkpkg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5974
Cc: 5974 <at> debbugs.gnu.org, Nicolas Richard <youngfrog@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Drew Adams <drew.adams@HIDDEN> writes:

> The point of my msg today is that it makes sense to take your
> interesting side discussion elsewhere.

It's not a side discussion.  The `put' things are not going to move to
`custom-file', because they have nothing to do with Custom.

But they might "in effect" move to `custom-file' if we change how they
are implemented.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 22:32:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 18:32:30 2016
Received: from localhost ([127.0.0.1]:56114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awGxa-0008PQ-Gr
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 18:32:30 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:41629)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awGxZ-0008PB-11
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 18:32:29 -0400
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3TMWKEA021094
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 29 Apr 2016 22:32:20 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.13.8/8.13.8) with ESMTP id u3TMWJUP010847
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 29 Apr 2016 22:32:20 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0121.oracle.com (8.13.8/8.13.8) with ESMTP id u3TMWHqq029746;
 Fri, 29 Apr 2016 22:32:19 GMT
MIME-Version: 1.0
Message-ID: <40e52ff4-f5b5-4450-ab8b-f8c07b490ecf@default>
Date: Fri, 29 Apr 2016 15:32:14 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Nicolas Richard <youngfrog@HIDDEN>
Subject: RE: bug#5974: 23.1.95; enabling disabled cmd & saving doesn't respect
 `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN> <87twik5vyq.fsf@HIDDEN>
 <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default> <867ffgmajz.fsf@HIDDEN>
In-Reply-To: <867ffgmajz.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 5974
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > Surely this bug can be fixed
>=20
> AFAICT there is no bug : the code is behaving as expected and as
> documented. It's a request for changing the current behaviour.

OK; it's an enhancement request (as I mentioned in my last msg
before today).  Mille excuses for too-quickly calling it a bug.

The point of my msg today is that it makes sense to take your
interesting side discussion elsewhere.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 20:20:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 16:20:53 2016
Received: from localhost ([127.0.0.1]:55920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awEuC-0003Zs-Pk
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 16:20:52 -0400
Received: from nm28-vm2.bullet.mail.ir2.yahoo.com ([212.82.97.62]:44812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <youngfrog@HIDDEN>) id 1awEuB-0003Zh-HT
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 16:20:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1461961245; bh=szA8QId0j1Cx9tCbD7uiEFqCeXzSmnQqVoO5pWQ1Hok=;
 h=References:From:To:Cc:Subject:In-reply-to:Date:From:Subject;
 b=uHYhNk3MRjvcp5jYdv0pSXYweelTY5w6aW9W/CKk1Z3FHcwVGErLJRaTaFGAJyMaM7vRDJBKFUnsh9UhNIZVXZGNJXEl7ZgPvl1DG7QnnJ95bsyVBGeqYmVCQ1qjQcIi2ihqGUMICrRBsgYvhakXXGPf/1YCQBgNjswD0M45hJ0U/ttvonMWNvH/GgQMj5IPwL8sogpH9j78wyav2XvbNXZqbUz0m9NON+CUFFijGkiEpje0lzf02sS/sOX937A4qxL2QYefrY11UV/LmJ5MQdpTx91DIcUf09pYTh4EFIG9qJffkHLpijH5mMbujddfyTXnKnOuhZLXXmzVpDmVBw==
Received: from [212.82.98.50] by nm28.bullet.mail.ir2.yahoo.com with NNFMP;
 29 Apr 2016 20:20:45 -0000
Received: from [46.228.39.85] by tm3.bullet.mail.ir2.yahoo.com with NNFMP;
 29 Apr 2016 20:20:45 -0000
Received: from [127.0.0.1] by smtp122.mail.ir2.yahoo.com with NNFMP;
 29 Apr 2016 20:20:45 -0000
X-Yahoo-Newman-Id: 620645.16443.bm@HIDDEN
X-Yahoo-Newman-Property: ymail-3
X-YMail-OSG: bdfSFX4VM1nE0tPuOQyuafIwDnYrm6lrB61kDAQG__w7oM8
 h0nC1Kqfwu0NMsbU4WbD6lATxdUFV2nYoIC6qTM6QeYkJlc4diwl09O.UkXH
 DtIHyBCPPHni5mdt7CVdGgImmEdyWSV8sBoG3XPXKLXwuTCjw8PLOCmD8GYr
 CKKOF1YoP9yGfNzcPU09dTQ12QCUopo3xiM3cpW2Hmzn6bd0MEHCnZ.2apNv
 8XJMeC1ew09jjTDidRLvcYlDg0cgOKWgbgria_3T6YMfbCcc1ItV_HTiF04K
 a4Drbj_Vj.0LI1wnw.Nm3sey6BLX2mhFcVSzFe0WmWnKX1AAnBSNmTdUdzyG
 CbmDfvKPBeZJWh4f7oSYEAz7qGUIuMSKqHMJwqFEMAojSwU9mQBryAJGYrLT
 NQDPkhBg7mNVQywHeyxkUcBACgHcOSym08brkG05p2oZOp9gtBEkN1tr.3MR
 Ias1umxpe92m1sRu9wLfkKXJbcmhYLguLw0VTB.sdc5ldKJOhDuJFqRXEcQP
 kYj3FnHt11HZO8Eu693EZrBO9g2Dl5p8oo1gKdgbw97SwvOut2g--
X-Yahoo-SMTP: 62rWct2swBAqKO_y6KiyXe3pZRcxSSoYuFEwRLrH6M41hw--
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN> <87twik5vyq.fsf@HIDDEN>
 <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default>
User-agent: mu4e 0.9.17; emacs 25.0.50.2
From: Nicolas Richard <youngfrog@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
Message-ID: <867ffgmajz.fsf@HIDDEN>
In-reply-to: <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default>
Date: Fri, 29 Apr 2016 22:20:41 +0200
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 5974
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Drew Adams <drew.adams@HIDDEN> writes:
> Please. You guys have hijacked this bug report 

*sigh*

> THIS bug report is about the fact that if a user has a
> `custom-file' the enabling gets recorded to ~/.emacs instead.
> That's just plain wrong.

> Surely this bug can be fixed

AFAICT there is no bug : the code is behaving as expected and as
documented. It's a request for changing the current behaviour.

Nicolas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 16:31:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 12:31:51 2016
Received: from localhost ([127.0.0.1]:55620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awBKZ-0004el-Fe
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:31:51 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:30119)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1awBKX-0004ZA-SC
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 12:31:50 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u3TGVhoH009566
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 29 Apr 2016 16:31:43 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userv0022.oracle.com (8.14.4/8.13.8) with ESMTP id u3TGVhMW025911
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Fri, 29 Apr 2016 16:31:43 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id u3TGVg3r002063;
 Fri, 29 Apr 2016 16:31:42 GMT
MIME-Version: 1.0
Message-ID: <dc9618d1-e1fd-4feb-8545-101a0a5c2de1@default>
Date: Fri, 29 Apr 2016 09:31:39 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Nicolas Richard <nrichard@HIDDEN>
Subject: RE: bug#5974: 23.1.95; enabling disabled cmd & saving doesn't respect
 `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN> <87twik5vyq.fsf@HIDDEN>
In-Reply-To: <87twik5vyq.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Please.  You guys have hijacked this bug report to speculate
about using Customize to handle enabling/disabling commands

Please start a new bug thread - or better yet an emacs-devel
thread - for that.

THIS bug report is about the fact that if a user has a
`custom-file' the enabling gets recorded to ~/.emacs instead.
That's just plain wrong.

Surely this bug can be fixed independently of your thoughts
about a new design/feature for letting Customize handle
enabling more generally.  You can always revisit this case
after you've implemented whatever you dream up for that,
but this bug is not that enhancement.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 14:30:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 10:30:10 2016
Received: from localhost ([127.0.0.1]:55383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aw9Qo-00023K-B8
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 10:30:10 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:56688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1aw9Qm-00023D-Hd
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 10:30:08 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1aw9Qj-0001dQ-EH; Fri, 29 Apr 2016 16:30:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nicolas Richard <nrichard@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
 <86wpngwl54.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 16:30:05 +0200
In-Reply-To: <86wpngwl54.fsf@HIDDEN> (Nicolas Richard's message of "Fri, 29
 Apr 2016 16:21:43 +0200")
Message-ID: <87twik5vyq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nicolas Richard <nrichard@HIDDEN> writes:

> It probably also becomes impossible to keep track of which commands
> were enabled via customize.

Ah, yes.  That's true.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 29 Apr 2016 14:25:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 10:25:09 2016
Received: from localhost ([127.0.0.1]:55379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aw9Lu-0001vQ-9y
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2016 10:25:09 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:39265)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nrichard@HIDDEN>) id 1aw9Lp-0001un-By
 for 5974 <at> debbugs.gnu.org; Fri, 29 Apr 2016 10:25:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AqcEAIRtI1ekD4WM/2dsb2JhbABdwH2GEAKBdgEBAQEBAWYnhEIBBXkFCwgDISUPAUcGiD3ALoQghiGETIoTBZgTl0OFZY8wYoI2gTc6iTEBAQE
Received: from pno-math-140.ulb.ac.be (HELO Aurora) ([164.15.133.140])
 by smtp.ulb.ac.be with ESMTP/TLS/AES128-SHA; 29 Apr 2016 16:21:44 +0200
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
User-agent: mu4e 0.9.17; emacs 25.0.50.2
From: Nicolas Richard <nrichard@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
In-reply-to: <874mal2vf9.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 16:21:43 +0200
Message-ID: <86wpngwl54.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Nicolas Richard <nrichard@HIDDEN> writes:
>
>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>>> That's the code that puts
>>>
>>> (put 'narrow-to-region 'disabled nil)
>>>
>>> into our .emacs files, right?  Yes, it would be better if that was
>>> handled by Custom.  But how?  Custom works by setting (variable) values,
>>> not adjusting symbol properties...
>>
>> We could add a defcustom like
>> (defcustom enabled-commands nil
>>   "List of commands to enable"
>>   :set (lambda (sym val)
>>          (dolist (cmd val)
>>            (put cmd 'disabled nil))
>>          (set-default sym val)))
>
> Hm...  the `set-default' wouldn't be necessary, would it?  

I think it is necessary, for if you eval:

(progn
  (defcustom enabled-commands nil
    "List of commands to enable"
    :set (lambda (sym val)
           (dolist (cmd val)
             (put cmd 'disabled nil))
           ;; (set-default sym val)
           ))
  (customize-set-variable 'enabled-commands '(upcase-region))
  (describe-variable 'enabled-commands))

you obtain "enabled-commands is void", which is confusing. It probably
also becomes impossible to keep track of which commands were enabled via
customize.


Nicolas.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 28 Apr 2016 23:08:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 19:08:47 2016
Received: from localhost ([127.0.0.1]:53706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avv38-000139-N2
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 19:08:47 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avv33-00012y-Ha
 for 5974 <at> debbugs.gnu.org; Thu, 28 Apr 2016 19:08:45 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avv2w-0001XG-Mz; Fri, 29 Apr 2016 01:08:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nicolas Richard <nrichard@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN> <874mal2vf9.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 01:08:34 +0200
In-Reply-To: <874mal2vf9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 29 Apr 2016 00:57:46 +0200")
Message-ID: <87zisd1gct.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Nicolas Richard <nrichard@HIDDEN> writes:
>
>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>>> That's the code that puts
>>>
>>> (put 'narrow-to-region 'disabled nil)
>>>
>>> into our .emacs files, right?  Yes, it would be better if that was
>>> handled by Custom.  But how?  Custom works by setting (variable) values,
>>> not adjusting symbol properties...
>>
>> We could add a defcustom like
>> (defcustom enabled-commands nil
>>   "List of commands to enable"
>>   :set (lambda (sym val)
>>          (dolist (cmd val)
>>            (put cmd 'disabled nil))
>>          (set-default sym val)))
>
> Hm...  the `set-default' wouldn't be necessary, would it?  

But otherwise this seems like a good idea.  We do potentially have
clobbering definitions -- where there is a

(put 'narrow-to-region 'disabled nil)

in the buffer, and then it's also customised...

But I don't really think this is much of a problem in practice.

If that defcustom form works, then I'm all for changing over the
enabled-command stuff to customise.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 28 Apr 2016 22:58:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 18:58:02 2016
Received: from localhost ([127.0.0.1]:53702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avush-0000nc-Cb
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 18:58:02 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:38808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avusc-0000nQ-76
 for 5974 <at> debbugs.gnu.org; Thu, 28 Apr 2016 18:57:57 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avusV-0001R4-DT; Fri, 29 Apr 2016 00:57:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Nicolas Richard <nrichard@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
 <87k2jiuibb.fsf@HIDDEN>
Date: Fri, 29 Apr 2016 00:57:46 +0200
In-Reply-To: <87k2jiuibb.fsf@HIDDEN> (Nicolas Richard's message of "Thu, 28
 Apr 2016 12:41:12 +0200")
Message-ID: <874mal2vf9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Nicolas Richard <nrichard@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>> That's the code that puts
>>
>> (put 'narrow-to-region 'disabled nil)
>>
>> into our .emacs files, right?  Yes, it would be better if that was
>> handled by Custom.  But how?  Custom works by setting (variable) values,
>> not adjusting symbol properties...
>
> We could add a defcustom like
> (defcustom enabled-commands nil
>   "List of commands to enable"
>   :set (lambda (sym val)
>          (dolist (cmd val)
>            (put cmd 'disabled nil))
>          (set-default sym val)))

Hm...  the `set-default' wouldn't be necessary, would it?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 28 Apr 2016 10:41:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 28 06:41:14 2016
Received: from localhost ([127.0.0.1]:51273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avjNi-0001hq-7E
	for submit <at> debbugs.gnu.org; Thu, 28 Apr 2016 06:41:14 -0400
Received: from mxin.ulb.ac.be ([164.15.128.112]:32546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nrichard@HIDDEN>) id 1avjNc-0001hd-KF
 for 5974 <at> debbugs.gnu.org; Thu, 28 Apr 2016 06:41:12 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AqkEABLoIVekD4Xx/2dsb2JhbABegmeCIbt3hg8CgW8BAQEBAQFmJ4RCAQEEeRAIAyElDwEESROIKr8YhAcBAQgCAR2GIYRLihMBBJgQj2iHW4VljzBigjaBNzowiTYBAQE
Received: from mathsrv4.ulb.ac.be (HELO localhost) ([164.15.133.241])
 by smtp.ulb.ac.be with ESMTP/TLS/AES128-SHA; 28 Apr 2016 12:41:07 +0200
From: Nicolas Richard <nrichard@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> <87k2jisoqq.fsf@HIDDEN>
Date: Thu, 28 Apr 2016 12:41:12 +0200
In-Reply-To: <87k2jisoqq.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 27 Apr 2016 23:53:01 +0200")
Message-ID: <87k2jiuibb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 5974
Cc: Stefan Monnier <monnier@HIDDEN>, 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:
> That's the code that puts
>
> (put 'narrow-to-region 'disabled nil)
>
> into our .emacs files, right?  Yes, it would be better if that was
> handled by Custom.  But how?  Custom works by setting (variable) values,
> not adjusting symbol properties...

We could add a defcustom like
(defcustom enabled-commands nil
  "List of commands to enable"
  :set (lambda (sym val)
         (dolist (cmd val)
           (put cmd 'disabled nil))
         (set-default sym val)))

(code 100% untested)

-- 
Nicolas Richard




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 27 Apr 2016 21:53:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 27 17:53:06 2016
Received: from localhost ([127.0.0.1]:50878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1avXOM-0007To-2V
	for submit <at> debbugs.gnu.org; Wed, 27 Apr 2016 17:53:06 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:51131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1avXOK-0007Td-9V
 for 5974 <at> debbugs.gnu.org; Wed, 27 Apr 2016 17:53:04 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1avXOH-0004Fc-HI; Wed, 27 Apr 2016 23:53:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
 enabling disabled cmd & saving doesn't respect `custom-file'
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
 <jwvochf9x5t.fsf-monnier+emacs@HIDDEN>
Date: Wed, 27 Apr 2016 23:53:01 +0200
In-Reply-To: <jwvochf9x5t.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 19 Apr 2010 13:22:59 -0400")
Message-ID: <87k2jisoqq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 5974
Cc: 5974 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Stefan Monnier <monnier@HIDDEN> writes:

>> That is wrong. I have a separate `custom-file' specifically so that
>> customization does not mess with my init file.
>
> The reason for it is that enabling disabling such commands is not done
> via Custom (and indeed, I don't think you can do it from Custom
> currently).
>
> But I guess it would make sense to extend the meaning of `custom-file'
> from "the things managed by Custom" to "any Emacs-generated config code".
> This said, the easiest way to get this result is to make
> `enable-command' use Custom somehow.

That's the code that puts

(put 'narrow-to-region 'disabled nil)

into our .emacs files, right?  Yes, it would be better if that was
handled by Custom.  But how?  Custom works by setting (variable) values,
not adjusting symbol properties...

Hm...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 19 Apr 2010 17:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 13:23:07 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O3ugc-0001SW-Qb
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2010 13:23:06 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1O3uga-0001SA-Ot
	for 5974 <at> debbugs.gnu.org; Mon, 19 Apr 2010 13:23:05 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAF0uzEvO+LLb/2dsb2JhbACbd3K9IYUOBItr
X-IronPort-AV: E=Sophos;i="4.52,236,1270440000"; d="scan'208";a="61194714"
Received: from 206-248-178-219.dsl.teksavvy.com (HELO pastel.home)
	([206.248.178.219])
	by ironport2-out.pppoe.ca with ESMTP; 19 Apr 2010 13:22:59 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 832DA7FAE; Mon, 19 Apr 2010 13:22:59 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#5974: 23.1.95;
	enabling disabled cmd & saving doesn't respect `custom-file'
Message-ID: <jwvochf9x5t.fsf-monnier+emacs@HIDDEN>
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
Date: Mon, 19 Apr 2010 13:22:59 -0400
In-Reply-To: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN> (Drew Adams's
	message of "Mon, 19 Apr 2010 09:22:39 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 5974
Cc: 5974 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.3 (-)

> That is wrong. I have a separate `custom-file' specifically so that
> customization does not mess with my init file.
 
The reason for it is that enabling disabling such commands is not done
via Custom (and indeed, I don't think you can do it from Custom
currently).

But I guess it would make sense to extend the meaning of `custom-file'
from "the things managed by Custom" to "any Emacs-generated config code".
This said, the easiest way to get this result is to make
`enable-command' use Custom somehow.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at 5974 <at> debbugs.gnu.org:


Received: (at 5974) by debbugs.gnu.org; 19 Apr 2010 17:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 13:06:53 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O3uQv-0001L0-5n
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2010 13:06:53 -0400
Received: from acsinet12.oracle.com ([141.146.126.234])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1O3uQt-0001Kv-LG
	for 5974 <at> debbugs.gnu.org; Mon, 19 Apr 2010 13:06:52 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by acsinet12.oracle.com (Switch-3.4.2/Switch-3.4.2) with ESMTP id
	o3JH6i8h010672
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <5974 <at> debbugs.gnu.org>; Mon, 19 Apr 2010 17:06:46 GMT
Received: from acsmt355.oracle.com (acsmt355.oracle.com [141.146.40.155])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o3JEOjcg006415
	for <5974 <at> debbugs.gnu.org>; Mon, 19 Apr 2010 17:06:43 GMT
Received: from abhmt015.oracle.com by acsmt355.oracle.com
	with ESMTP id 188222521271696797; Mon, 19 Apr 2010 10:06:37 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 19 Apr 2010 10:06:36 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <5974 <at> debbugs.gnu.org>
References: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
Subject: RE: bug#5974: 23.1.95;
	enabling disabled cmd & saving doesn't respect `custom-file'
Date: Mon, 19 Apr 2010 10:06:37 -0700
Message-ID: <2DE3CE1B97924EF7AC9E8FC1C447AF1B@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5579
Thread-Index: Acrf3IeIbHzg0CVSTY6F/ZnaV/zm1wABcTWA
X-Source-IP: acsmt355.oracle.com [141.146.40.155]
X-Auth-Type: Internal IP
X-CT-RefId: str=0001.0A0B0207.4BCC8DA4.0139:SCFMA4539814,ss=1,fgs=0
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 5974
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

> I have `custom-file' set to a particular file, different from 
> my .emacs (actually, I use `_emacs' on Windows).
>  
> I just tried `C-x n p'. I thought that I had enabled it years ago, but
> apparently not. I hit `y' to enable it, then `y' to save it. A message
> said that the customization was being saved to my `_emacs' 
> file. And it was in fact saved there.
>  
> That is wrong. I have a separate `custom-file' specifically so that
> customization does not mess with my init file.

There is no option or face that corresponds to this kind of customization, so I
guess this is not so much a bug as an enhancement request:

If a user has defined variable `custom-file', then code that enables or disables
commands should place the proper `put' sexp in the `custom-file', not in the
init file.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Apr 2010 16:23:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 12:23:08 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1O3tka-0000an-Df
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2010 12:23:08 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1O3tkX-0000aJ-7X
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2010 12:23:06 -0400
Received: from lists.gnu.org ([199.232.76.165]:46041)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>) id 1O3tkR-0007OB-UW
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2010 12:23:00 -0400
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1O3tkQ-00039k-Nx
	for bug-gnu-emacs@HIDDEN; Mon, 19 Apr 2010 12:22:58 -0400
Received: from [140.186.70.92] (port=60359 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1O3tkP-000389-7i
	for bug-gnu-emacs@HIDDEN; Mon, 19 Apr 2010 12:22:58 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.0 (2010-01-18) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD,
	UNPARSEABLE_RELAY autolearn=unavailable version=3.3.0
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1O3tkN-0006OJ-O2
	for bug-gnu-emacs@HIDDEN; Mon, 19 Apr 2010 12:22:57 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:42281)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1O3tkJ-0006ND-OS
	for bug-gnu-emacs@HIDDEN; Mon, 19 Apr 2010 12:22:55 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o3JGMmY2026036
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 19 Apr 2010 16:22:50 GMT
Received: from acsmt353.oracle.com (acsmt353.oracle.com [141.146.40.153])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o3IBtd3C001731
	for <bug-gnu-emacs@HIDDEN>; Mon, 19 Apr 2010 16:22:47 GMT
Received: from abhmt004.oracle.com by acsmt354.oracle.com
	with ESMTP id 171321481271694161; Mon, 19 Apr 2010 09:22:41 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 19 Apr 2010 09:22:40 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 23.1.95; enabling disabled cmd & saving doesn't respect `custom-file'
Date: Mon, 19 Apr 2010 09:22:39 -0700
Message-ID: <88CA29C22E7A4FA88C1900F16C25CD5C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5579
Thread-Index: Acrf3IeIbHzg0CVSTY6F/ZnaV/zm1w==
X-Auth-Type: Internal IP
X-Source-IP: acsinet15.oracle.com [141.146.126.227]
X-CT-RefId: str=0001.0A090204.4BCC835A.0125:SCFMA922111,ss=1,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

I have `custom-file' set to a particular file, different from my .emacs
(actually, I use `_emacs' on Windows).
 
I just tried `C-x n p'. I thought that I had enabled it years ago, but
apparently not. I hit `y' to enable it, then `y' to save it. A message
said that the customization was being saved to my `_emacs' file. And it
was in fact saved there.
 
That is wrong. I have a separate `custom-file' specifically so that
customization does not mess with my init file.
 

In GNU Emacs 23.1.95.1 (i386-mingw-nt5.1.2600)
 of 2010-04-03 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/imagesupport/include'
 






Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5974; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Jul 2016 06:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.